aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavid Runge <dave@sleepmap.de>2019-02-13 15:27:53 +0100
committerDavid Runge <dave@sleepmap.de>2019-02-13 15:27:53 +0100
commit6a606838ba69272dd5009f45757a503c83eb2338 (patch)
tree54de1dd1695cd06b6e49d3381711ff87fa55d690
parent107c2cbefe868d20225fa6b8ca3622e82bcb2d79 (diff)
downloaduenv-6a606838ba69272dd5009f45757a503c83eb2338.tar.gz
uenv-6a606838ba69272dd5009f45757a503c83eb2338.tar.bz2
uenv-6a606838ba69272dd5009f45757a503c83eb2338.tar.xz
uenv-6a606838ba69272dd5009f45757a503c83eb2338.zip
scripts/autotunnel: Quoting variables.
-rwxr-xr-xscripts/autotunnel6
1 files changed, 4 insertions, 2 deletions
diff --git a/scripts/autotunnel b/scripts/autotunnel
index 2a1f17b..0a2d8d0 100755
--- a/scripts/autotunnel
+++ b/scripts/autotunnel
@@ -1,5 +1,7 @@
#!/usr/bin/env bash
+set -eou pipefail
+
if [ -z "$SERVER_ALIVE_INTERVAL" ];then
SERVER_ALIVE_INTERVAL=45
fi
@@ -17,5 +19,5 @@ fi
-o ServerAliveInterval="$SERVER_ALIVE_INTERVAL" \
-o ServerAliveCountMax="$SERVER_ALIVE_COUNT_MAX" \
-o TCPKeepAlive=yes \
- -w $TUN_DEVICE:$TUN_DEVICE \
- $HOST
+ -w "$TUN_DEVICE":"$TUN_DEVICE" \
+ "$HOST"